net.sf.jasperreports.web.servlets

## Class ViewerServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - net.sf.jasperreports.web.servlets.AbstractServlet
      - - net.sf.jasperreports.web.servlets.ViewerServlet

- All Implemented Interfaces:
    java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

      public class ViewerServlet
      extends AbstractServlet

  Version:
    $Id: ViewerServlet.java 6923 2014-02-24 14:18:52Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_TEMPLATE_BODY`
    `static java.lang.String` | `PROPERTY_TEMPLATE_FOOTER`
    `static java.lang.String` | `PROPERTY_TEMPLATE_HEADER`

    - ### Fields inherited from class net.sf.jasperreports.web.servlets.AbstractServlet

      `HTML_ACCEPT_HEADER, HTML_CONTENT_TYPE, JSON_ACCEPT_HEADER, JSON_CONTENT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewerServlet()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getBody(javax.servlet.http.HttpServletRequest request, WebReportContext webReportContext)`
    `java.lang.String` | `getBodyTemplate()`
    `protected java.lang.String` | `getFooter()`
    `java.lang.String` | `getFooterTemplate()`
    `protected java.lang.String` | `getHeader(javax.servlet.http.HttpServletRequest request, WebReportContext webReportContext)`
    `java.lang.String` | `getHeaderTemplate()`
    `void` | `init()`
    `void` | `render(javax.servlet.http.HttpServletRequest request, WebReportContext webReportContext, java.io.PrintWriter writer)`
    `void` | `service(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

    - ### Methods inherited from class net.sf.jasperreports.web.servlets.AbstractServlet

      `getJasperReportsContext, setJasperReportsContext, setNoExpire`

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_TEMPLATE_HEADER

          public static final java.lang.String PROPERTY_TEMPLATE_HEADER

      See Also:
        Constant Field Values

    - #### PROPERTY_TEMPLATE_BODY

          public static final java.lang.String PROPERTY_TEMPLATE_BODY

      See Also:
        Constant Field Values

    - #### PROPERTY_TEMPLATE_FOOTER

          public static final java.lang.String PROPERTY_TEMPLATE_FOOTER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ViewerServlet

          public ViewerServlet()

  - ### Method Detail

    - #### init

          public void init()
                    throws javax.servlet.ServletException

      Overrides:
        `init` in class `javax.servlet.GenericServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### getHeaderTemplate

          public java.lang.String getHeaderTemplate()

    - #### getBodyTemplate

          public java.lang.String getBodyTemplate()

    - #### getFooterTemplate

          public java.lang.String getFooterTemplate()

    - #### service

          public void service(javax.servlet.http.HttpServletRequest request,
                     javax.servlet.http.HttpServletResponse response)
                       throws java.io.IOException,
                              javax.servlet.ServletException

      Overrides:
        `service` in class `javax.servlet.http.HttpServlet`
      Throws:
        `java.io.IOException`
        `javax.servlet.ServletException`

    - #### render

          public void render(javax.servlet.http.HttpServletRequest request,
                    WebReportContext webReportContext,
                    java.io.PrintWriter writer)

    - #### getHeader

          protected java.lang.String getHeader(javax.servlet.http.HttpServletRequest request,
                                   WebReportContext webReportContext)

    - #### getBody

          protected java.lang.String getBody(javax.servlet.http.HttpServletRequest request,
                                 WebReportContext webReportContext)

    - #### getFooter

          protected java.lang.String getFooter()

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com